package model

import (
	"time"
)

type UserLevel struct {
	Id                   int       `json:"id" xorm:"not null pk autoincr comment('等级id') INT(11)"`
	BenefitIds           string    `json:"benefit_ids" xorm:"comment('该等级拥有的权益id【json】') TEXT"`
	LevelName            string    `json:"level_name" xorm:"not null default '' comment('等级名称') VARCHAR(255)"`
	LevelWeight          int       `json:"level_weight" xorm:"not null default 0 comment('等级权重') INT(11)"`
	LevelUpdateCondition int       `json:"level_update_condition" xorm:"not null default 2 comment('2是条件升级，1是无条件升级') TINYINT(1)"`
	AutoAudit            int       `json:"auto_audit" xorm:"not null default 0 comment('(自动审核)0关闭，1开启') TINYINT(1)"`
	AutoUpdate           int       `json:"auto_update" xorm:"not null default 0 comment('(自动升级)0关闭，1开启') TINYINT(1)"`
	LevelDate            int       `json:"level_date" xorm:"default 0 comment('会员有效期（0永久有效，单位月）') INT(11)"`
	IsUse                int       `json:"is_use" xorm:"not null default 1 comment('是否开启(0否，1是)') TINYINT(1)"`
	ChoosableNum         int       `json:"choosable_num" xorm:"default 0 comment('可选任务数量（当is_must_task为0时生效）') INT(6)"`
	BeforeHide           int       `json:"before_hide" xorm:"default 0 comment('可选任务数量（当is_must_task为0时生效）') INT(6)"`
	Label                int       `json:"label" xorm:"default 0 comment('') INT(6)"`
	Memo                 string    `json:"memo" xorm:"default '' comment('备注') VARCHAR(255)"`
	CssSet               string    `json:"css_set" xorm:"TEXT"`
	CreateAt             time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP TIMESTAMP"`
}
